<mamecheat version="1">

  <cheat desc="Infinite Credits"> <comment>Works after you've first inserted a credit</comment>
    <script state="run">
      <action>maincpu.pb@2030=99</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Stage"> <comment>Enable when the 'Press 1P or 2P Start Button' message is displayed after you've inserted a credit.</comment>
    <parameter>
      <item value="0x00">Stage 1-1</item>
      <item value="0x01">Stage 1-2</item>
      <item value="0x02">Stage 1-3</item>
      <item value="0x03">Bonus Stage 1</item>
      <item value="0x04">Stage 2-1</item>
      <item value="0x05">Stage 2-2</item>
      <item value="0x06">Stage 2-3</item>
      <item value="0x07">Stage 2-4</item>
      <item value="0x08">Stage 3-1</item>
      <item value="0x09">Stage 3-2</item>
      <item value="0x0A">Stage 3-3</item>
      <item value="0x0B">Stage 3-4</item>
      <item value="0x0C">Bonus Stage 2</item>
      <item value="0x0D">Stage 4-1</item>
      <item value="0x0E">Stage 4-2</item>
      <item value="0x0F">Stage 4-3</item>
      <item value="0x10">Stage 4-4</item>
      <item value="0x11">Stage 5-1</item>
      <item value="0x12">Stage 5-2</item>
      <item value="0x13">Stage 5-3</item>
    </parameter>
    <script state="change">
      <action>maincpu.pb@206D=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@2196=02</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@2191=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo PL1">
    <script state="run">
      <action>maincpu.pb@2193=0A</action>
    </script>
  </cheat>

  <cheat desc="Select Gun PL1">
    <parameter min="0" max="6" step="1"/>
    <script state="run">
      <action>maincpu.pb@2192=(param)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire (Normal) PL1">
    <script state="run">
      <action>maincpu.pb@21A0=00|(maincpu.pb@21A0 BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire (Special) PL1">
    <script state="run">
      <action>maincpu.pb@21A0=00|(maincpu.pb@21A0 BAND ~20)</action>
      <action>maincpu.pb@219A=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@21D6=02</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@21D1=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo PL2">
    <script state="run">
      <action>maincpu.pb@21D3=06</action>
    </script>
  </cheat>

  <cheat desc="Select Gun PL2">
    <parameter min="0" max="6" step="1"/>
    <script state="run">
      <action>maincpu.pb@21D2=(param)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire (Normal) PL2">
    <script state="run">
      <action>maincpu.pb@21E0=00|(maincpu.pb@21E0 BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire (Special) PL2">
    <script state="run">
      <action>maincpu.pb@21E0=00|(maincpu.pb@21E0 BAND ~20)</action>
      <action>maincpu.pb@21DA=00</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
